PTP Cameras not working on 14.04, works flawlessly on 12.04

Bug #1296275 reported by Árni Gunnarsson on 2014-03-23
446
This bug affects 92 people
Affects Status Importance Assigned to Milestone
Rapid Photo Downloader
Undecided
Unassigned
gvfs
Unknown
High
libgphoto
New
Undecided
Unassigned
gvfs (Ubuntu)
Low
Unassigned
Trusty
Undecided
Unassigned
Utopic
Low
Unassigned
libgphoto2 (Ubuntu)
High
Martin Pitt
Trusty
High
Martin Pitt
Utopic
High
Martin Pitt

Bug Description

I have a Canon Powershot A3200 camera. It works perfectly on 12.04, pops right up when I plug it in. However on 14.04 nothing happens.

lsusb outputs shows that the camera is detected, with the right model.

SRU INFORMATION:
----------------
IMPACT: All PtP cameras which don't have an explicit vendor/model match in /lib/udev/hwdb.d/20-libgphoto2-6.hwdb stop working in gvfs/shotwell/etc. This is a regression since Saucy.

FIX: Bring back the udev rule to tag generic PtP devices that we had had for many releases. This will tag the udev_device with the ID_GPHOTO2 property which is where gvfs and friends are looking (not on the usb_interface child).
Patch: http://launchpadlibrarian.net/177343655/libgphoto2_2.5.4-1ubuntu1_2.5.4-1ubuntu2.diff.gz

REGRESSION POTENTIAL: Very low. Adding tags to the wrong device might confuse gvfs/shotwell and friends, but this rule had been in production for many years. Broken udev rules are harmless except for error spew in syslog, and this doesn't interfere with the hwdb database as it only matches on usb_devices, not on usb_interfaces.

Árni Gunnarsson (arni1981) wrote :

For what it's worth, this works on Debian 7.4, both stable and testing.

Sebastien Bacher (seb128) wrote :

Thank you for your bug report. Could you run "gvfs-mount -lo", connect your camera and copy the output? Is the camera listed by "gphoto2 --summary"?

Changed in gvfs (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Árni Gunnarsson (arni1981) wrote :

gphoto --summary

Camera summary:
Manufacturer: Canon Inc.
Model: Canon PowerShot A3200 IS
  Version: 1-10.0.1.0
  Serial Number: A7BA696CD93A4FAF884CAEC24A3D58B1
Vendor Extension ID: 0xb (1.0)

Capture Formats: JPEG
Display Formats: Association/Directory, Script, DPOF, MS AVI, MS Wave, JPEG, Defined Type, CRW, Unknown(b103), Unknown(b105), Unknown(b104), Unknown(bf01)

Device Capabilities:
 File Download, File Deletion, File Upload
 No Image Capture, No Open Capture, No vendor specific capture

Storage Devices Summary:
store_00010001:
 StorageDescription: None
 VolumeLabel: None
 Storage Type: Removable RAM (memory card)
 Filesystemtype: Digital Camera Layout (DCIM)
 Access Capability: Read-Write
 Maximum Capability: 3956801536 (3773 MB)
 Free Space (Bytes): 3952934912 (3769 MB)
 Free Space (Images): -1

Device Property Summary:
Event Emulate Mode(0xd045):(readwrite) (type=0x4) Enumeration [1,2,3,4,5,6,7] value: 2
Property 0xd04a:(readwrite) (type=0x2) Enumeration [0,1,2,3] value: 0
Size of Output Data from Camera(0xd02e):(read only) (type=0x6) 524288
Size of Input Data to Camera(0xd02f):(read only) (type=0x6) 524288
Battery Level(0x5001):(read only) (type=0x2) Enumeration [0,1,2,3] value: 3% (3)
Battery Type(0xd002):(read only) (type=0x4) Enumeration [0,1,2,3,4,5] value: Unknown (0)
Battery Mode(0xd003):(read only) (type=0x6) Enumeration [0,1,2,3] value: Normal (1)
UNIX Time(0xd034):(readwrite) (type=0x6) 1395686179
Type of Slideshow(0xd047):(read only) (type=0x4) 2
DPOF Version(0xd046):(read only) (type=0x4) 257
Remote API Version(0xd030):(read only) (type=0x6) 256
Model ID(0xd049):(read only) (type=0x6) 43581440
Camera Model(0xd032):(read only) (type=0xffff) 'Canon PowerShot A3200 IS'
Camera Owner(0xd033):(readwrite) (type=0x4002) a[0]
Firmware Version(0xd031):(read only) (type=0x6) 16777216
Property 0xd050:(read only) (type=0x2) 0
Property 0xd051:(read only) (type=0x4004) a[2] 14337,45317
Property 0xd052:(read only) (type=0x2) 0
Property 0xd402:(read only) (type=0xffff) 'Canon PowerShot A3200 IS'
Property 0xd406:(readwrite) (type=0xffff) 'Windows'
Property 0xd407:(read only) (type=0x6) 1
Property 0xd303:(read only) (type=0x2) 1

Árni Gunnarsson (arni1981) wrote :

gvfs-mount -lo

Drive(0): HGST HTS545032A7E380
  Type: GProxyDrive (GProxyVolumeMonitorUDisks2)
  Volume(0): 151 GB Volume
    Type: GProxyVolume (GProxyVolumeMonitorUDisks2)
  Volume(1): 10,0 GB Volume
    Type: GProxyVolume (GProxyVolumeMonitorUDisks2)
Drive(1): TSSTcorp CDDVDW SN-208DN
  Type: GProxyDrive (GProxyVolumeMonitorUDisks2)

Same problem with Canon PowerShot SX50 - also using Ubuntu 14.04 Beta (updated 25/03/2014).

rosted@rosted-desktop:~$ gphoto2 --summary
Camera summary:
Manufacturer: Canon Inc.
Model: Canon PowerShot SX50 HS
  Version: 1-13.0.1.0
  Serial Number: 3342582EEBDD462693F888E179480814
Vendor Extension ID: 0xb (1.0)

Capture Formats: JPEG
Display Formats: Association/Directory, Script, DPOF, MS AVI, MS Wave, JPEG, Defined Type, CRW, Unknown(b103), Unknown(b105), Unknown(b104), Unknown(bf01)

Device Capabilities:
 File Download, File Deletion, File Upload
 No Image Capture, No Open Capture, No vendor specific capture

Storage Devices Summary:
store_00010001:
 StorageDescription: None
 VolumeLabel: None
 Storage Type: Removable RAM (memory card)
 Filesystemtype: Digital Camera Layout (DCIM)
 Access Capability: Read-Write
 Maximum Capability: 63831015424 (60874 MB)
 Free Space (Bytes): 26975797248 (25726 MB)
 Free Space (Images): -1

Device Property Summary:
Event Emulate Mode(0xd045):(readwrite) (type=0x4) Enumeration [1,2,3,4,5,6,7] value: 2
Property 0xd04a:(readwrite) (type=0x2) Enumeration [0,1,2,3] value: 0
Size of Output Data from Camera(0xd02e):(read only) (type=0x6) 524288
Size of Input Data to Camera(0xd02f):(read only) (type=0x6) 524288
Battery Level(0x5001):(read only) (type=0x2) Enumeration [0,1,2,3] value: 3% (3)
Battery Type(0xd002):(read only) (type=0x4) Enumeration [0,1,2,3,4,5] value: Unknown (0)
Battery Mode(0xd003):(read only) (type=0x6) Enumeration [0,1,2,3] value: Normal (1)
UNIX Time(0xd034):(readwrite) (type=0x6) 1395784363
Type of Slideshow(0xd047):(read only) (type=0x4) 0
DPOF Version(0xd046):(read only) (type=0x4) 257
Remote API Version(0xd030):(read only) (type=0x6) 256
Model ID(0xd049):(read only) (type=0x6) 53739520
Camera Model(0xd032):(read only) (type=0xffff) 'Canon PowerShot SX50 HS'
Camera Owner(0xd033):(readwrite) (type=0x4002) a[0]
Firmware Version(0xd031):(read only) (type=0x6) 16777216
Property 0xd050:(read only) (type=0x2) 0
Property 0xd051:(read only) (type=0x4004) a[2] 14337,45317
Property 0xd052:(read only) (type=0x2) 0
Property 0xd053:(readwrite) (type=0x4002) a[0]
Property 0xd054:(readwrite) (type=0x4002) a[0]
Property 0xd402:(read only) (type=0xffff) 'Canon PowerShot SX50 HS'
Property 0xd406:(readwrite) (type=0xffff) 'Windows'
Property 0xd407:(read only) (type=0x6) 1
Property 0xd303:(read only) (type=0x2) 1

summary: - Canon PowerShot A3200 not working on 14.04, works flawlessly on 12.04
+ Canon PowerShot Models not working on 14.04, works flawlessly on 12.04
summary: - Canon PowerShot Models not working on 14.04, works flawlessly on 12.04
+ Canon PowerShot Cameras not working on 14.04, works flawlessly on 12.04

Workaround - using gphoto2 command line works...

gphoto2 --get-all-files

Workaround #2:

Install "gphotofs" package.
In terminal - create a folder - e.g. PowerShot:

> mkdir PowerShot

Next turn on camers in view mode, and type:

> gphotofs PowerShot/

Now files are available in file manager/browser (Files).
I could not unmount camera in file manager - so in terminal i typed:

> killall gphotofs

tags: added: ubuntu-desktop-trusty
Changed in gvfs (Ubuntu):
status: Incomplete → New
百草谷居士 (liu-pl) wrote :

Same problem with Canon PowerShot S90 , I am using Lubuntu 14.04 .

chicobiker (chicobiker) wrote :

same bug with canon powershot elph 310 HS

Árni Gunnarsson (arni1981) wrote :

Please, if this bug affects you too, go to the "This bug affects me too" link at the top left of the page to increase the likelihood that this bug will be tackled.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gvfs (Ubuntu):
status: New → Confirmed
Nick Rhodes (ngrhodes) wrote :

Same bug in Xubuntu and Ubuntu 14.04 beta 2, using an old Fuji f47 USB PTP camera.
Works fine in Kubuntu 14.04 beta 2.

Ronzo (ronzo) wrote :

Same problem with my Canon IXUS300HS.

idVendor=04a9, idProduct=31f7

mount shows:

gvfsd-fuse on /run/user/1001/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=myuser)

ls of /run/user/1001 shows:
d????????? ? ? ? ? ? gvfs

Sebastien Bacher (seb128) wrote :

The issue could be an upstream one (in gvfs or libgphoto) and it would be nice if somebody having it could send the bug to the developers of the software by following the instructions at https://wiki.ubuntu.com/Bugs/Upstream/GNOME. If you have done so, please tell us the number of the upstream bug (or the link), so we can add a bugwatch that will inform us about its status. Thanks in advance.

Changed in gvfs (Ubuntu):
importance: Low → High
Nick Rhodes (ngrhodes) wrote :

There is now a bug report at https://bugzilla.gnome.org/show_bug.cgi?id=728205, visit there and confirm.

Nick Rhodes (ngrhodes) on 2014-04-14
summary: - Canon PowerShot Cameras not working on 14.04, works flawlessly on 12.04
+ PTP Cameras not working on 14.04, works flawlessly on 12.04
Changed in gvfs:
importance: Unknown → High
status: Unknown → New
Changed in gvfs:
status: New → Confirmed
Vladimir Rojas (vladyrojas) wrote :

Same problem with Canon PowerShot D20, worked fine in Ubuntu 13.10 but not in 14.04 stable, clean install.

Console program gphoto2 work fine
gphoto2 -P

Details

vladimir@trusty:~$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 003: ID 0c45:60c0 Microdia PC Camera with Mic (SN9C105)
Bus 004 Device 002: ID 03f0:2404 Hewlett-Packard Deskjet F2280 series
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

vladimir@trusty:~$ gphoto2 --summary
Resumen de la cámara:
Manufacturer: Canon Inc.
Model: Canon PowerShot D20
  Version: 1-12.0.1.0
  Serial Number: B14193072076464AB93F653CC7DB2D4B
Vendor Extension ID: 0xb (1.0)

Capture Formats: JPEG
Display Formats: Association/Directory, Script, DPOF, MS AVI, MS Wave, JPEG, Defined Type, CRW, Unknown(b103), Unknown(b105), Unknown(b104), Unknown(bf01)

Device Capabilities:
 File Download, File Deletion, File Upload
 No Image Capture, No Open Capture, No vendor specific capture

Storage Devices Summary:
store_00010001:
 StorageDescription: None
 VolumeLabel: None
 Storage Type: Removable RAM (memory card)
 Filesystemtype: Digital Camera Layout (DCIM)
 Access Capability: Read-Write
 Maximum Capability: 7813988352 (7452 MB)
 Free Space (Bytes): 7121141760 (6791 MB)
 Free Space (Images): -1

Device Property Summary:
Event Emulate Mode(0xd045):(readwrite) (type=0x4) Enumeration [1,2,3,4,5,6,7] value: 2
Property 0xd04a:(readwrite) (type=0x2) Enumeration [0,1,2,3] value: 0
Size of Output Data from Camera(0xd02e):(read only) (type=0x6) 524288
Size of Input Data to Camera(0xd02f):(read only) (type=0x6) 524288
Battery Level(0x5001):(read only) (type=0x2) Enumeration [0,1,2,3] value: 3% (3)
Battery Type(0xd002):(read only) (type=0x4) Enumeration [0,1,2,3,4,5] value: Unknown (0)
Battery Mode(0xd003):(read only) (type=0x6) Enumeration [0,1,2,3] value: Normal (1)
UNIX Time(0xd034):(readwrite) (type=0x6) 1397917211
Type of Slideshow(0xd047):(read only) (type=0x4) 0
DPOF Version(0xd046):(read only) (type=0x4) 257
Remote API Version(0xd030):(read only) (type=0x6) 256
Model ID(0xd049):(read only) (type=0x6) 52428800
Camera Model(0xd032):(read only) (type=0xffff) 'Canon PowerShot D20'
Camera Owner(0xd033):(readwrite) (type=0x4002) a[0]
Firmware Version(0xd031):(read only) (type=0x6) 16777216
Property 0xd050:(read only) (type=0x2) 0
Property 0xd051:(read only) (type=0x4004) a[2] 14337,45317
Property 0xd052:(read only) (type=0x2) 1
Property 0xd402:(read only) (type=0xffff) 'Canon PowerShot D20'
Property 0xd406:(readwrite) (type=0xffff) 'Windows'
Property 0xd407:(read only) (type=0x6) 1
Property 0xd303:(read only) (type=0x2) 1

Stefan Baens (sbaens) wrote :

Same problem with Canon PowerShot A3400, worked fine in Ubuntu 13.10 but not in 14.04 stable, upgrade.

stefan@Ubuntu01:~$ gphoto2 --summary
Camerasamenvatting:
Manufacturer: Canon Inc.
Model: Canon PowerShot A3400 IS
  Version: 1-12.0.1.0
  Serial Number: E00B1E839FA9467A95D748627772E5C6
Vendor Extension ID: 0xb (1.0)

Capture Formats: JPEG
Display Formats: Association/Directory, Script, DPOF, MS AVI, MS Wave, JPEG, Defined Type, CRW, Unknown(b103), Unknown(b105), Unknown(b104), Unknown(bf01)

Device Capabilities:
 File Download, File Deletion, File Upload
 No Image Capture, No Open Capture, No vendor specific capture

Storage Devices Summary:
store_00010001:
 StorageDescription: None
 VolumeLabel: None
 Storage Type: Removable RAM (memory card)
 Filesystemtype: Digital Camera Layout (DCIM)
 Access Capability: Read-Write
 Maximum Capability: 1015414784 (968 MB)
 Free Space (Bytes): 933396480 (890 MB)
 Free Space (Images): -1

Device Property Summary:
Event Emulate Mode(0xd045):(readwrite) (type=0x4) Enumeration [1,2,3,4,5,6,7] value: 2
Property 0xd04a:(readwrite) (type=0x2) Enumeration [0,1,2,3] value: 0
Size of Output Data from Camera(0xd02e):(read only) (type=0x6) 524288
Size of Input Data to Camera(0xd02f):(read only) (type=0x6) 524288
Battery Level(0x5001):(read only) (type=0x2) Enumeration [0,1,2,3] value: 3% (3)
Battery Type(0xd002):(read only) (type=0x4) Enumeration [0,1,2,3,4,5] value: Unknown (0)
Battery Mode(0xd003):(read only) (type=0x6) Enumeration [0,1,2,3] value: Normal (1)
UNIX Time(0xd034):(readwrite) (type=0x6) 1397936499
Type of Slideshow(0xd047):(read only) (type=0x4) 0
DPOF Version(0xd046):(read only) (type=0x4) 257
Remote API Version(0xd030):(read only) (type=0x6) 256
Model ID(0xd049):(read only) (type=0x6) 52822016
Camera Model(0xd032):(read only) (type=0xffff) 'Canon PowerShot A3400 IS'
Camera Owner(0xd033):(readwrite) (type=0x4002) a[0]
Firmware Version(0xd031):(read only) (type=0x6) 16777216
Property 0xd050:(read only) (type=0x2) 0
Property 0xd051:(read only) (type=0x4004) a[2] 14337,45317
Property 0xd052:(read only) (type=0x2) 0
Property 0xd402:(read only) (type=0xffff) 'Canon PowerShot A3400 IS'
Property 0xd406:(readwrite) (type=0xffff) 'Windows'
Property 0xd407:(read only) (type=0x6) 1
Property 0xd303:(read only) (type=0x2) 1

Bernard Decock (decockbernard) wrote :

Also a problem with Canon Powershot SX20 IS (Ubuntu 14.04 and Xubuntu 14.04).

I'm getting an error : Could not claim USB Device (-53).

Indeed, as suggested by Thomas Rosted, gphoto2 --get-all-files downsloads all the images. (But this is not a workable option for photo-management)

Bernard Decock (decockbernard) wrote :

One can use digiKam as a workaround.

I just conformed this issue on Google Nexus 4 the android phone that running CyanogenMod 11. and also can confirm it worked just fine in Ubuntu 13.10.

$gvfs-mount -lo

Drive(0): INTEL SSDSA2BW160G3L
  Type: GProxyDrive (GProxyVolumeMonitorUDisks2)
Drive(1): Optiarc DVD RW AD-7930H
  Type: GProxyDrive (GProxyVolumeMonitorUDisks2)
Drive(2): INTEL SSDSC2CW240A3
  Type: GProxyDrive (GProxyVolumeMonitorUDisks2)
  Volume(0): Android
    Type: GProxyVolume (GProxyVolumeMonitorUDisks2)
    Mount(0): Android -> file:///media/FuZZ_/Android
      Type: GProxyMount (GProxyVolumeMonitorUDisks2)

$gphoto2 --summary

Camera summary:
Manufacturer: LGE
Model: Nexus 4
  Version: 1.0
  Serial Number: 02456e389bc9eecb

Capture Formats:
Display Formats: Undefined Type, Association/Directory, Text, HTML, MS Wave, MP3, MPEG, JPEG, TIFF EP, BMP, GIF, JFIF, PNG, TIFF, Unknown(b901), Unknown(b902), Unknown(b903), Unknown(b982), Unknown(b983), Unknown(b984), Unknown(ba05), Unknown(ba10), Unknown(ba11), Unknown(ba14), Unknown(ba82), Unknown(b906)

Device Capabilities:
 File Download, File Deletion, File Upload
 No Image Capture, No Open Capture, No vendor specific capture

Storage Devices Summary:
store_00010001:
 StorageDescription: Internal storage
 VolumeLabel: None
 Storage Type: Builtin RAM
 Filesystemtype: Generic Hierarchical
 Access Capability: Read-Write
 Maximum Capability: 13874561024 (13231 MB)
 Free Space (Bytes): 1094942720 (1044 MB)
 Free Space (Images): 1073741824

Device Property Summary:
Property 0xd401:(readwrite) (type=0xffff) '(null)'
Property 0xd402:(readwrite) (type=0xffff) '(null)'
Image Size(0x5003):(read only) (type=0xffff) '1280x1280'

motang (mohan-ram) wrote :

Here is mine, my camera is a Kodak Easyshare Touch M577
Camera summary:
Manufacturer: Eastman Kodak Company
Model: M577 Digital Camera
  Version: 01.010007
  Serial Number: KCTNV14034949
Vendor Extension ID: 0x1 (4.0)
Vendor Extension Description: Eastman Kodak PTP Extensions

Capture Formats:
Display Formats: JPEG, Unknown(b982)

Device Capabilities:
 File Download, File Deletion, File Upload
 No Image Capture, No Open Capture, No vendor specific capture

Storage Devices Summary:
store_00010001:
 StorageDescription: None
 VolumeLabel: None
 Storage Type: Removable RAM (memory card)
 Filesystemtype: Digital Camera Layout (DCIM)
 Access Capability: Read-Write
 Maximum Capability: 7939817472 (7572 MB)
 Free Space (Bytes): 6027411456 (5748 MB)
 Free Space (Images): 1431
store_00020001:
 StorageDescription: None
 VolumeLabel: None
 Storage Type: Builtin RAM
 Filesystemtype: Generic Flat
 Access Capability: Read-Write
 Maximum Capability: 22134784 (21 MB)
 Free Space (Bytes): 21987328 (20 MB)
 Free Space (Images): 1431

Device Property Summary:
Battery Level(0x5001):(read only) (type=0x2) Enumeration [0,10,100] value: 100% (100)
Date & Time(0x5011):(readwrite) (type=0xffff) '20140422T053420'
UI Language(0xd006):(read only) (type=0x4) Enumeration [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23] value: 1
Property 0xd00a:(readwrite) (type=0x4) Enumeration [1,2] value: 1
Property 0xd00b:(read only) (type=0x6) Enumeration [53] value: 53

Changed in gvfs (Ubuntu):
status: Confirmed → Triaged
Heimen Stoffels (vistaus) wrote :

I can't confirm this bug. It works fine here. I have a Nikon D5100. I plug it in and it just works.

Marc Quinton (mquinton) wrote :

same with Fuji T200. Was working fine with previous Ubuntu versions.

dmesg :

[117141.391834] usb 1-5: new high-speed USB device number 15 using ehci-pci
[117141.527659] usb 1-5: New USB device found, idVendor=04cb, idProduct=0233
[117141.527668] usb 1-5: New USB device strings: Mfr=0, Product=2, SerialNumber=3
[117141.527675] usb 1-5: Product: USB PTP
[117141.527682] usb 1-5: SerialNumber: 592D36353531110728F1451UJ98841
[117147.713341] usb 1-5: USB disconnect, device number 15
[117167.835432] usb 1-5: new high-speed USB device number 16 using ehci-pci
[117167.971334] usb 1-5: New USB device found, idVendor=04cb, idProduct=0233
[117167.971341] usb 1-5: New USB device strings: Mfr=0, Product=2, SerialNumber=3
[117167.971346] usb 1-5: Product: USB PTP
[117167.971350] usb 1-5: SerialNumber: 592D36353531110728F1451UJ98841
[117516.122224] usb 1-5: USB disconnect, device number 16
[117526.695649] usb 1-5: new high-speed USB device number 17 using ehci-pci
[117526.831559] usb 1-5: New USB device found, idVendor=04cb, idProduct=0233
[117526.831564] usb 1-5: New USB device strings: Mfr=0, Product=2, SerialNumber=3
[117526.831567] usb 1-5: Product: USB PTP
[117526.831570] usb 1-5: SerialNumber: 592D36353531110728F1451UJ98841

marc@trusty:/etc$ gphoto2 --summary
Camera summary:
Manufacturer: FUJIFILM
Model: FinePix T200
  Version: Digital Camera FinePix T200 Ver1.00
  Serial Number: 592D36353531110728F1451UJ98841
Vendor Extension ID: 0x6 (1.0)
Vendor Extension Description: fujifilm.co.jp: 1.0;

Capture Formats:
Display Formats: JPEG, JFIF
Supported MTP Object Properties:
 JPEG/3801: dc01/StorageID dc02/ObjectFormat dc03/ProtectionStatus dc04/ObjectSize dc07/ObjectFileName dc0b/ParentObject dc41/PersistantUniqueObjectIdentifier dc44/Name dc08/DateCreated dc87/Width dc88/Height dcd3/ImageBitDepth
 JFIF/3808: dc01/StorageID dc02/ObjectFormat dc03/ProtectionStatus dc04/ObjectSize dc07/ObjectFileName dc0b/ParentObject dc41/PersistantUniqueObjectIdentifier dc44/Name

Device Capabilities:
 File Download, File Deletion, File Upload
 No Image Capture, No Open Capture, No vendor specific capture

Storage Devices Summary:
store_00010001:
 StorageDescription: External Memory
 VolumeLabel: 000000000000000000000000000000000000000000000000
 Storage Type: Removable RAM (memory card)
 Filesystemtype: Digital Camera Layout (DCIM)
 Access Capability: Read Only with Object deletion
 Maximum Capability: 2030960640 (1936 MB)
 Free Space (Bytes): 1286602752 (1227 MB)
 Free Space (Images): 477

Device Property Summary:
Battery Level(0x5001):(read only) (type=0x2) Range [0 - 3, step 1] value: 3% (3)
Property 0xd303:(read only) (type=0x2) 1
Perceived Device Type(0xd407):(read only) (type=0x6) 1
Session Initiator Info(0xd406):(readwrite) (type=0xffff) ''

Marc Quinton (mquinton) wrote :

same camera on ubuntu 12.04 LTS, working fine

marc@portable-pangolin:~$ gphoto2 --summary
Camera summary:
Manufacturer: FUJIFILM
Model: FinePix T200
  Version: Digital Camera FinePix T200 Ver1.00
  Serial Number: 592D36353531110728F1451UJ98841
Vendor Extension ID: 0x6 (1.0)
Vendor Extension Description: fujifilm.co.jp: 1.0;

Capture Formats:
Display Formats: JPEG, JFIF
Supported MTP Object Properties:
 JPEG/3801: dc01/StorageID dc02/ObjectFormat dc03/ProtectionStatus dc04/ObjectSize dc07/ObjectFileName dc0b/ParentObject dc41/PersistantUniqueObjectIdentifier dc44/Name dc08/DateCreated dc87/Width dc88/Height dcd3/ImageBitDepth
 JFIF/3808: dc01/StorageID dc02/ObjectFormat dc03/ProtectionStatus dc04/ObjectSize dc07/ObjectFileName dc0b/ParentObject dc41/PersistantUniqueObjectIdentifier dc44/Name

Device Capabilities:
 File Download, File Deletion, File Upload
 No Image Capture, No Open Capture, No vendor specific capture

Storage Devices Summary:
store_00010001:
 StorageDescription: External Memory
 VolumeLabel: 000000000000000000000000000000000000000000000000
 Storage Type: Removable RAM (memory card)
 Filesystemtype: Digital Camera Layout (DCIM)
 Access Capability: Read Only with Object deletion
 Maximum Capability: 2030960640 (1936 MB)
 Free Space (Bytes): 1286602752 (1227 MB)
 Free Space (Images): 477

Device Property Summary:
Battery Level(0x5001):(read only) (type=0x2) Range [0 - 3, step 1] value: 3% (3)
Property 0xd303:(read only) (type=0x2) 1
Perceived Device Type(0xd407):(read only) (type=0x6) 1
Session Initiator Info(0xd406):(readwrite) (type=0xffff) ''

marc@portable-pangolin:~$ gvfs-mount -lo
gvfs-mount -lo
Drive(0): Lecteur CD/DVD
  Type: GProxyDrive (GProxyVolumeMonitorGdu)
Volume(0): USB PTP
  Type: GProxyVolume (GProxyVolumeMonitorGPhoto2)
marc@portable-pangolin:~$ gvfs-mount -lo
Drive(0): Lecteur CD/DVD
  Type: GProxyDrive (GProxyVolumeMonitorGdu)
Volume(0): USB PTP
  Type: GProxyVolume (GProxyVolumeMonitorGPhoto2)

dmesg :

[ 94.084052] usb 2-2: new high-speed USB device number 4 using ehci_hcd
[ 94.219957] usb 2-2: New USB device found, idVendor=04cb, idProduct=0233
[ 94.219962] usb 2-2: New USB device strings: Mfr=0, Product=2, SerialNumber=3
[ 94.219965] usb 2-2: Product: USB PTP
[ 94.219968] usb 2-2: SerialNumber: 592D36353531110728F1451UJ98841

jmprince80 (jp-txt3) wrote :

I don't have the time to post logs at the moment but will do later.

Can confirm that this bug affects both of our cameras:

Nikon CoolPix L25

Fuji Finepix AV100

anewguy (anewguy) wrote :

Same problem with kodak C182.

lsusb shows the physical device as present

syslog shows a few lines recognizing the camera, followed by a line stating the device is not a MTP device.

Checked in 2 files regarding gphoto in udev/hwdb and added he C182 there - no difference,

Obviously a flaw in something used now in conjunction with udev. I don't know why it seems to not mount following the MTP error - my novice knowledge thought that MTP was for tablets, MP3 players, etc. - didn't know that included cameras.

Monitor_Inc (bobdharris) wrote :

Exactly the same diagnostics as #20 (Nishimura) with a Nexus 4.
PTP mode worked OK with 13.10, nothing with 14.04.
MTP mode works OK with the phone appearing in Nautilus.
So images can be transferred from the phone to PC.

anewguy (anewguy) wrote :

Note the difference - MTP rejects mine and it DOES NOT show in Nautilus. I cannot transfer images from the camera (it's camera, not a phone - MTP works with phones, tablets, etc.). I have to take the flash card out of the camera and put it in the computer to transfer images. I haven't tried the work around here with the command line as to me at least that isn't fixing the problem.

anewguy (anewguy) wrote :

Here's a hint: the list of usbid's in the udev rules in /lib/udev/rules/hwdb does not contain my camera's USB identifiers. Similarly the 20-gphoto rule doesn't contain my camera's USB identifiers. I've tried adding them to no result. I suspect there is something behind those rules - some sort of actual database - that doesn't contain my camera's USB identifiers. From there I suspect it then tries probe-mtp - but my camera is not an android type device.

Julier (hervejulier) wrote :

same problem in ubuntu 14.04 with Finepix HS10
Works in 13.10

gphoto2 --summary

Résumé sur l'appareil :
Manufacturer: FUJIFILM
Model: FinePix HS10 HS11
  Version: Digital Camera FinePix HS10 HS11 Ver1.00
  Serial Number: 592D33393031100407D3750S403030
Vendor Extension ID: 0x6 (1.0)

Capture Formats:
Display Formats: JPEG, JFIF
Supported MTP Object Properties:
 JPEG/3801: dc01/StorageID dc02/ObjectFormat dc03/ProtectionStatus dc04/ObjectSize dc07/ObjectFileName dc08/DateCreated dc0b/ParentObject dc41/PersistantUniqueObjectIdentifier dc44/Name dc87/Width dc88/Height dcd3/ImageBitDepth
 JFIF/3808: dc01/StorageID dc02/ObjectFormat dc03/ProtectionStatus dc04/ObjectSize dc07/ObjectFileName dc08/DateCreated dc0b/ParentObject dc41/PersistantUniqueObjectIdentifier dc44/Name dc87/Width dc88/Height dcd3/ImageBitDepth

Device Capabilities:
 File Download, File Deletion, File Upload
 No Image Capture, No Open Capture, No vendor specific capture

Storage Devices Summary:
store_00010001:
 StorageDescription: External Memory
 VolumeLabel: 000000000000000000000000000000000000000000000000
 Storage Type: Removable RAM (memory card)
 Filesystemtype: Digital Camera Layout (DCIM)
 Access Capability: Read Only with Object deletion
 Maximum Capability: 8023703552 (7652 MB)
 Free Space (Bytes): 7553679360 (7203 MB)
 Free Space (Images): -1

Device Property Summary:
Battery Level(0x5001):(read only) (type=0x2) Range [0 - 3, step 1] value: 2% (2)
Perceived Device Type(0xd407):(read only) (type=0x6) 1
Session Initiator Info(0xd406):(readwrite) (type=0xffff) ''

Peter jenkins (ppk1100sc) wrote :

Installed 14.04 on the 24 May 2014
Camera Nikon Coolpix L810

Worked under 12.04 LTS OK

jerome oudard (jerome-oudard) wrote :

little remark on "Workaround #2:" which is find...

instead of "> killall gphotofs " which is a bit brutal :)

> fusermount -u <mountpoint>

Fritz Mayer (mayer-office) wrote :

Same problem with CANON Powershot A2500.

Workaraound:
Get USB-ID with lsusb.
Copy 20-libgphoto2-6.hwdb and 20-usb-vendor-model.hwdb from /lib/udev/hwdb.d to /etc/udev/hwdb.d (sudo!!).
Add a new dataset in this two files with your USB-ID in /etc/udev/hwdb.d !
Generate a new hwdb.bin in /lib/udev with
   sudo udevadm hwdb --update

Reboot your system.
Now it should work like in 13.10 (shotwell, nautilus).

anewguy (anewguy) wrote :

Proposed work-around in #33 does not work for my Kodak C182.

T_W (walshtc) wrote :

Same problem with Samsung Galaxy S4 when mounted in Camera (PTP) mode.

Alex (just4fun73de-1) wrote :

#33 also doesn't work for the Canon 255 HS.

When the camera is connected to the usb-port the following is shown in the syslog:

May 30 20:07:27 heather kernel: [ 76.082215] usb 3-9: new high-speed USB device number 5 using xhci_hcd
May 30 20:07:27 heather kernel: [ 76.099703] usb 3-9: New USB device found, idVendor=04a9, idProduct=3268
May 30 20:07:27 heather kernel: [ 76.099712] usb 3-9: New USB device strings: Mfr=1, Product=2, SerialNumber=3
May 30 20:07:27 heather kernel: [ 76.099717] usb 3-9: Product: Canon Digital Camera
May 30 20:07:27 heather kernel: [ 76.099721] usb 3-9: Manufacturer: Canon Inc.
May 30 20:07:27 heather kernel: [ 76.099725] usb 3-9: SerialNumber: 2B5D46FB5D8E4BA2989E15969F063703
May 30 20:07:27 heather mtp-probe: checking bus 3, device 5: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-9"
May 30 20:07:27 heather mtp-probe: bus: 3, device: 5 was not an MTP device
May 30 20:07:27 heather colord: Device added: sysfs-(null)
May 30 20:12:27 heather kernel: [ 375.688050] usb 3-9: USB disconnect, device number 5
May 30 20:12:27 heather colord: device removed: sysfs-(null)

Alex

Janno2 (jan-kijlstra) wrote :

In 14.04 it is no longer possible to use either GPHOTO2 (command line) or Entangle (GUI. using libgphoto) for tethered shooting with my NIKON D5000.

I have been told that the GVFS Volume Monitor is causing the problems.

The problem was there already in 2008, was solved, but seems to be back in 14.04

Did find a good working alternative, using my Android-tablet.

Bernard Decock (decockbernard) wrote :

This bug is also affecting Linux Mint 17 Qiana

Muhammed Ali (uhammedm) wrote :

I have same issue with my FinePix T350

I can browse it this way:

 > $ gphoto2 --auto-detect
Model Port
----------------------------------------------------------
USB PTP Class Camera usb:002,006

> $ nautilus gphoto2://[usb:002,006]/

also it works with gphotofs (https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/1296275/comments/7)

But it is not opens automatically

$ gvfs-mount -lo
...
Mount(0): mtp -> mtp://[usb:002,002]/
  Type: GDaemonMount

$ gphoto2 --summary
Camera summary:
Manufacturer: FUJIFILM
Model: FinePix T350
  Version: Digital Camera FinePix T350 Ver1.00
  Serial Number: 592D313339323112122711A52WN46319
Vendor Extension ID: 0x6 (1.0)
Vendor Extension Description: fujifilm.co.jp: 1.0;

Capture Formats:
Display Formats: JPEG, JFIF
Supported MTP Object Properties:
 JPEG/3801: dc01/StorageID dc02/ObjectFormat dc03/ProtectionStatus dc04/ObjectSize dc07/ObjectFileName dc0b/ParentObject dc41/PersistantUniqueObjectIdentifier dc44/Name dc08/DateCreated dc87/Width dc88/Height dcd3/ImageBitDepth
 JFIF/3808: dc01/StorageID dc02/ObjectFormat dc03/ProtectionStatus dc04/ObjectSize dc07/ObjectFileName dc0b/ParentObject dc41/PersistantUniqueObjectIdentifier dc44/Name

Device Capabilities:
 File Download, File Deletion, File Upload
 No Image Capture, No Open Capture, No vendor specific capture

Storage Devices Summary:
store_00010001:
 StorageDescription: External Memory
 VolumeLabel: 000000000000000000000000000000000000000000000000
 Storage Type: Removable RAM (memory card)
 Filesystemtype: Digital Camera Layout (DCIM)
 Access Capability: Read Only with Object deletion
 Maximum Capability: 8060403712 (7687 MB)
 Free Space (Bytes): 8056569856 (7683 MB)
 Free Space (Images): 2270

Device Property Summary:
Battery Level(0x5001):(read only) (type=0x2) Range [0 - 3, step 1] value: 3% (3)
Property 0xd303:(read only) (type=0x2) 1
Perceived Device Type(0xd407):(read only) (type=0x6) 1
Session Initiator Info(0xd406):(readwrite) (type=0xffff) ''

Per Engström (per-10823-n) wrote :

I have a Canon PowerShot S95 and it is not detected either in Ubuntu 14.04 64-bit. It used to work in previous ubuntu releases. Have to eject the SD-card from the camera and use my laptop to import the pictures and then use a usb-stick to copy them onto my desktop PC.

In previous Ubuntu I just connected the desktop PC USB-cable to the camera and Shotwell popped up automagical.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Martin Pitt (pitti) on 2014-06-10
affects: camera-app → libgphoto2 (Ubuntu)
Changed in libgphoto2 (Ubuntu):
status: New → Triaged
Changed in libgphoto2 (Ubuntu):
status: New → Confirmed
Martin Pitt (pitti) wrote :

This can be fixed in either libgphoto2 itself (https://sourceforge.net/p/gphoto/bugs/974/) or in gvfs (https://bugzilla.gnome.org/show_bug.cgi?id=728205). For SRUing, adding back an udev rule for generic PTP support is definitively the easiest thing.

affects: shotwell → libgphoto
Changed in libgphoto2 (Ubuntu):
importance: Undecided → High
Martin Pitt (pitti) wrote :

This ought to work, can someone who is affected please confirm? Please copy&paste that into a Terminal:

  echo 'ACTION="add", ENV{ID_USB_INTERFACES}=="*:060101:*", ENV{ID_GPHOTO2}="1", ENV{GPHOTO2_DRIVER}="PTP", MODE="0664", GROUP="plugdev"' | sudo tee /lib/udev/rules.d/40-libgphoto2-6.rules

Then unplug/replug the camera.

Martin Pitt (pitti) wrote :

This one is more refined, can you try this instead?

  sudo gedit /lib/udev/rules.d/40-libgphoto2-6.rules

and make the file look like this:

--------------- 8< -----------------------
ACTION!="add", GOTO="libgphoto2_rules_end"
SUBSYSTEM!="usb", GOTO="libgphoto2_usb_end"
ENV{ID_USB_INTERFACES}=="", IMPORT{builtin}="usb_id"
ENV{ID_USB_INTERFACES}=="*:060101:*", ENV{ID_GPHOTO2}="1", ENV{GPHOTO2_DRIVER}="PTP", MODE="0664", GROUP="plugdev"

LABEL="libgphoto2_rules_end"

--------------- 8< -----------------------

Sebastien Bacher (seb128) wrote :

the change in comment #44 makes it work there

Martin Pitt (pitti) wrote :

For a trusty SRU we'll definitively use the udev rule, which is much less intrusive and better understood.

Changed in libgphoto2 (Ubuntu Trusty):
assignee: nobody → Martin Pitt (pitti)
Changed in libgphoto2 (Ubuntu Utopic):
assignee: nobody → Martin Pitt (pitti)
Changed in gvfs (Ubuntu Trusty):
status: New → Won't Fix
Changed in libgphoto2 (Ubuntu Utopic):
status: Triaged → In Progress
Changed in libgphoto2 (Ubuntu Trusty):
importance: Undecided → High
Changed in gvfs (Ubuntu Utopic):
importance: High → Low
Changed in rapid:
status: New → Invalid
Martin Pitt (pitti) wrote :

I uploaded libgphoto2_2.5.4-1ubuntu1 to utopic which should fix this (thanks to Sébastien for testing on IRC). Please confirm that this package version fixes it, then I'll SRU this.

Changed in libgphoto2 (Ubuntu Utopic):
status: In Progress → Fix Committed
description: updated
Martin Pitt (pitti) wrote :

Uploaded to trusty SRU queue.

Changed in libgphoto2 (Ubuntu Trusty):
status: New → In Progress
Árni Gunnarsson (arni1981) wrote :

Comment #44 makes it work like a charm for me on 14.04.

comment #43 and #44 working on 14.04 64bit
camera - fujifilm finepix av150
thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgphoto2 - 2.5.4-1ubuntu2

---------------
libgphoto2 (2.5.4-1ubuntu2) utopic; urgency=medium

  * Add debian/libgphoto2-6.udev: Provide rule for generic "PtP device" to
    unbreak cameras which aren't explicitly known to libgphoto by
    vendor/product ID, until either hwdb or gvfs get fixed properly.
    (LP: #1296275)
 -- Martin Pitt <email address hidden> Tue, 10 Jun 2014 17:43:28 +0200

Changed in libgphoto2 (Ubuntu Utopic):
status: Fix Committed → Fix Released
Nick Rhodes (ngrhodes) wrote :

The udev rule in #44 works for my f47 too.

Hello Árni, or anyone else affected,

Accepted libgphoto2 into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libgphoto2/2.5.3.1-1ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libgphoto2 (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
T_W (walshtc) wrote :

Proposed work-around in #44 does not work for Samsung Galaxy S4 when mounted in Camera (PTP) mode.

Hello T_W,

T_W [2014-06-11 2:12 -0000]:
> Proposed work-around in #44 does not work for Samsung Galaxy S4 when
> mounted in Camera (PTP) mode.

Can you please open a new bug about this? This seems to have a
different root cause than for most general PtP cameras. Please include
the output of lsusb and "udevadm info --export-db". Thanks!

Daniel Mauduit (d-mauduit) wrote :

For information: Comment #44 also works with Linux Mint 17 Qiana.
Thanks a lot
Daniel

Nick Rhodes (ngrhodes) wrote :

Just tested libgphoto2-6_2.5.3.1-1ubuntu2.1_amd64 from proposed.
rm'd the udev rule I created earlier, installed the package from proposed, noted it created the udev rule and working fine :)

tags: added: verification-done
removed: verification-needed
esodan (esodan-gmail) wrote :

I've added proposed repository and install libgphoto2-6 version 2.5.3.1-1ubuntu2.1, but it doesn't work for my Motorola XT925 Android phone.

This is the output of 'gphoto2 --summary' command:

Resumen de la cámara:
Manufacturer: motorola
Model: XT925
  Version: 1.0
  Serial Number: TA240020GX

Capture Formats:
Display Formats: Undefined Type, Association/Directory, Text, HTML, MS Wave, MP3, MPEG, JPEG, TIFF EP, GIF, JFIF, PNG, TIFF, Unknown(b901), Unknown(b902), Unknown(b903), Unknown(b982), Unknown(b983), Unknown(b984), Unknown(ba05), Unknown(ba10), Unknown(ba11), Unknown(ba14), Unknown(ba82), Unknown(b906), Unknown(b981)

Device Capabilities:
 File Download, File Deletion, File Upload
 No Image Capture, No Open Capture, No vendor specific capture

Storage Devices Summary:
store_00020001:
 StorageDescription: Tarjeta SD
 VolumeLabel: None
 Storage Type: Removable RAM (memory card)
 Filesystemtype: Generic Hierarchical
 Access Capability: Read-Write
 Maximum Capability: 32078036992 (30592 MB)
 Free Space (Bytes): 17426612224 (16619 MB)
 Free Space (Images): 1073741824
store_00010001:
 StorageDescription: Almac. interno
 VolumeLabel: None
 Storage Type: Builtin RAM
 Filesystemtype: Generic Hierarchical
 Access Capability: Read-Write
 Maximum Capability: 12505851904 (11926 MB)
 Free Space (Bytes): 7413508096 (7070 MB)
 Free Space (Images): 1073741824

Device Property Summary:
Property 0xd401:(readwrite) (type=0xffff) '(null)'
Property 0xd402:(readwrite) (type=0xffff) '(null)'
Image Size(0x5003):(read only) (type=0xffff) '1280x1280'

esodan (esodan-gmail) wrote :

After check libgphoto2-6 installed package and /lib/udev/rules.d/40-libgphoto2-6.rules file it contains:

----------------------------------------------------------------
ACTION!="add", GOTO="libgphoto2_rules_end"
SUBSYSTEM!="usb", GOTO="libgphoto2_usb_end"
ENV{ID_USB_INTERFACES}=="", IMPORT{builtin}="usb_id"
ACTION="add", ENV{ID_USB_INTERFACES}=="*:060101:*", ENV{ID_GPHOTO2}="1", ENV{GPHOTO2_DRIVER}="PTP", MODE="0664", GROUP="plugdev"

LABEL="libgphoto2_rules_end"
----------------------------------------------------------------

This is a little different forme #44, by adding 'ACTION="add", ' before last ENV{ID_USB_INTERFACES} rule.

esodan (esodan-gmail) wrote :

By comment #55, I've filed a new Bug #1329150, for my problem with Motorola XT925.

Martin Pitt (pitti) wrote :

esodan, by the data in that new bug it sounds like you didn't install the -proposed package.

Bernard Decock (decockbernard) wrote :

gphoto2 --version
gphoto2 2.5.3

gphoto2 2.5.3 gcc, popt(m), exif, cdk, aa, jpeg, readline
libgphoto2 2.5.3.1 all camlibs, gcc, ltdl, EXIF
libgphoto2_port 0.10.0 gcc, ltdl, no USB, serial without locking

gphoto2 --summary
Camerasamenvatting:
Manufacturer: Canon Inc.
Model: Canon PowerShot SX20 IS
  Version: 1-7.0.1.0
  Serial Number: E2F5E9B80A584FFDA901B46ECBC87410
Vendor Extension ID: 0xb (1.0) (See log.txt)

1. Can't access via Nautilus.
2. if camera is mounted, then gphoto2 --summary fail (see GPhotoError-logfile.txt)
3. Unmount camera => Shotwell is able to download the pictures
Note that previous versions of Shotwell were automatically unmounting the camera

4. Rapid Photo Downloader (Doesn't detect the camera when it is unmounted) Can't import photo's when mounted
5. Camera is able to download the photo's

Bernard Decock (decockbernard) wrote :

if camera is mounted, then gphoto2 --summary fails (see GPhotoError-logfile.txt)

Bernard Decock (decockbernard) wrote :

if camera is mounted, then gphoto2 --summary fails (see GPhotoError-logfile.txt)

Árni Gunnarsson (arni1981) wrote :

Was a little too quick in announcing that it worked. Turns out the package doesn't work for me but the fix from #44 does. There is as mentioned in #60 small difference between what the proposed solution installs and the fix from #44, enough to make it not work for me.

Nick Rhodes (ngrhodes) on 2014-06-13
tags: added: verification-failed
removed: verification-done
Sebastien Bacher (seb128) wrote :

Is that bug really verification-failed? A non perfect fix is still better that no fix, we shouldn't block the update on that basis if it doesn't create regressions, we can fix the remaining issues in another update

tags: added: verification-done
removed: verification-failed
Martin Pitt (pitti) wrote :

Argh, silly typo. Uploading corrected fix to utopic.

Changed in libgphoto2 (Ubuntu Utopic):
status: Fix Released → Fix Committed
tags: added: verification-failed
removed: verification-done
Martin Pitt (pitti) wrote :

The ACTION="add" should have been ACTION=="add", but it's now redundant with the first line in the rules anyway. I uploaded an updated SRU to fix this. Sorry about that, and thanks again for testing!

Changed in libgphoto2 (Ubuntu Trusty):
status: Fix Committed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgphoto2 - 2.5.4-1ubuntu3

---------------
libgphoto2 (2.5.4-1ubuntu3) utopic; urgency=medium

  * debian/libgphoto2-6.udev: Fix typo to really make the rule work.
    (LP: #1296275)
 -- Martin Pitt <email address hidden> Mon, 16 Jun 2014 11:38:27 +0200

Changed in libgphoto2 (Ubuntu Utopic):
status: Fix Committed → Fix Released

Hello Árni, or anyone else affected,

Accepted libgphoto2 into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libgphoto2/2.5.3.1-1ubuntu2.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libgphoto2 (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: removed: verification-failed
tags: added: verification-needed

For what it's worth, I solved my problem with the Kodak EasyShare Max X990 with the fix in comment #44, and after a reboot, it auto-detected and appeared in Nemo, and the "disk with photos has been detected, what should I do?" window came up.

Interestingly, it appeared twice in the Devices section of Nemo - one with each of the main two folders (store_00010001 and store_00020001, the first of which is the only one with pictures, the other only has sub-folders containing text files with "SQLite..." in them).

---------------------------
scott@scott-AsusM2N68-AM-Plus:~$ uname -a
Linux scott-AsusM2N68-AM-Plus 3.13.0-29-generic-tuxonice #53~ppa1-Ubuntu SMP Fri Jun 6 17:27:38 UTC 2014 i686 athlon i686 GNU/Linux
scott@scott-AsusM2N68-AM-Plus:~$ lsb_release -dsc
Ubuntu 14.04 LTS
trusty
scott@scott-AsusM2N68-AM-Plus:~$ echo $DESKTOP_SESSION
Lubuntu

Nick Rhodes (ngrhodes) wrote :

Hi,

I have a 2nd machine with a clean install of 14.04.
I did a full update and verified the bug still exists.
I downloaded and installed https://launchpad.net/ubuntu/+source/libgphoto2/2.5.3.1-1ubuntu2.2/+build/6106218/+files/libgphoto2-6_2.5.3.1-1ubuntu2.2_amd64.deb via dkpg
Plugged my camera back in and worked first time.

Could others please test ?

tags: added: verification-done
removed: verification-needed
AnGus (ozsolarwind) wrote :

Gidday

I'm using Ubuntu 14.04 and have a Canon PowerShot SX50HS. Installing https://launchpad.net/ubuntu/+source/libgphoto2/2.5.3.1-1ubuntu2.2/+build/6106218/+files/libgphoto2-6_2.5.3.1-1ubuntu2.2_amd64.deb has solved the problem for me.

chicobiker (chicobiker) wrote :

Just installed https://launchpad.net/ubuntu/+source/libgphoto2/2.5.3.1-1ubuntu2.2/+build/6106218/+files/libgphoto2-6_2.5.3.1-1ubuntu2.2_amd64.deb on my dell 11-3137 with ubuntu 14-04. My canon powershot elif 310 HS is now properly detected and am ab le to download photos into shotwell. Thanks for the fix.

Bernard Decock (decockbernard) wrote :

 env LANG=C gphoto2 --debug --debug-logfile=log_gphoto2.txt --summary

*** Error ***
An error occurred in the io-library ('Could not claim the USB device'): Could not claim interface 0 (Device or resource busy). Make sure no other program (gvfs-gphoto2-volume-monitor) or kernel module (such as sdc2xx, stv680, spca50x) is using the device and you have read/write access to the device.
*** Error (-53: 'Could not claim the USB device') ***

After unmounting the device, it is possible to download the photo's by means of Shotwell.
Rapid Photodownloader doesn't work.

Greg (cebif) wrote :

I downloaded and installed libgphoto2-6_2.5.3.1-1ubuntu2.2, same as chicobiker in comment #75. My camera is now recognized and can open photos in either nemo file manager or gthumb. This is in Linux Mint 17 Quiana, Cinnamon. My camera is Kodack Easyshare C1013.

anewguy (anewguy) wrote :

I'm running xubuntu 14.04.

Tried adding the deb to sources - fails as not found in apt-get update (used "Trusty").

Tried adding the udev rule - gphoto opens, shows my pictures (it's *REALLY* slow), but then I can't save them, etc., so I removed the rule.

Tried downloading the package, "untar"ing it, then went to the INSTALL document to see if I needed to run configure or just make and make install. It shows the command for running configure, and when I do that I get the following failure.

.
.
. didn't copy all of the output prior to this failure
.
checking ltdl.h usability... no
checking ltdl.h presence... no
checking for ltdl.h... no
checking that we can compile and link with libltdl... no
configure: error: cannot compile and link against libltdl
libgphoto2 requires libltdl (the libtool dl* library),
but cannot compile and link against it.
Aborting.

anewguy (anewguy) wrote :

OK, someone said to install ltdl-dev, which then let the configure, make and make install work fine. When I plug my camera in, it still doesn't show. I checked and the rule is not in /lib/udev/rules.d - I thought the package was supposed to install it. Do I need to go back and manually add the udev rule (using "==" instead of "="?) ??

Sorry to be a hassle, but this is one time I desperately need my camera to work today - it's very important (just saying - I know that makes no difference) - and the only PC I have access to is this one running xubuntu.

Any suggestions on what I'm doing wrong?

Thanks!

AnGus (ozsolarwind) wrote :

For Bernard in comment #76 https://answers.launchpad.net/ubuntu/+source/shotwell/+question/157569 addresses this issue. I encounter this but see it as normal (not necessarily elegant) behaviour.

anewguy (anewguy) wrote :

Additional: I added the udev rule back in as it did not get installed with the download. Still no good. Any ideas/help would be greatly appreciated. As mentioned way back in my initial post, the camera is Kodak EasyShare C182.

joshas (joshas) wrote :

libgphoto2-6_2.5.3.1-1ubuntu2.2_i386.deb update fixes problem with Canon IXUS 115 camera.

Árni Gunnarsson (arni1981) wrote :

Works for me. Thank you.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgphoto2 - 2.5.3.1-1ubuntu2.2

---------------
libgphoto2 (2.5.3.1-1ubuntu2.2) trusty-proposed; urgency=medium

  * Add debian/libgphoto2-6.udev: Provide rule for generic "PtP device" to
    unbreak cameras which aren't explicitly known to libgphoto by
    vendor/product ID, until either hwdb or gvfs get fixed properly.
    (LP: #1296275)
 -- Martin Pitt <email address hidden> Tue, 10 Jun 2014 18:00:51 +0200

Changed in libgphoto2 (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for libgphoto2 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Ernst Sjöstrand (ernstp) wrote :

Mounting my android phone with mtp worked flawlessly in 12.04 but not in 14.04. It seems that was not fixed by this change.

linex83 (linex83) wrote :

Works for my Canon IXUS 300 HS. Thanks!

Changed in gvfs:
status: Confirmed → Unknown
Stefan Baens (sbaens) wrote :

Installed standard updates yesterday, now it works for my canon powershot a300. Thanks

WhiteEagle (madcomputerguy) wrote :

My camera still isn't able to upload to Ubuntu 14.04 LTS. It's a Canon Powershot A590 IS. I'll post the info if you want it.

Robert W. Brewer (rwb123) wrote :

Installed libgphoto2-6 2.5.3.1-1ubuntu2.2 amd64 and still cannot retrieve photos from my Canon PowerShot SX20 IS on Ubuntu 14.04. This worked flawlessly in Ubuntu 12.10. I believe it previously opened in mass storage mode. Now the device shows up, but I don't see any files.

esodan (esodan-gmail) wrote :

I've switched to 14.10, and for Samsung Galaxy S4 mini camera access is not working.

tags: added: trusty
removed: ubuntu-desktop-trusty
wayneoutthere (taylor-wayne-r) wrote :

I've tried pretty much everything I can above. I've checked the #44 above and done it and besides that the packge looked correct anyways before I opened it. The computer was updated fully before trying. It seems this bug is connected to just Canon now as the reports above seem to fix the others.

here is the link to the paste of the command line stuff from the machine: http://paste.ubuntu.com/9789752/

the exact model number is the Canon SX20 IS as per Robert above.

version is 14.04 fully up to date on 64 bit machine

Anything else i can do to help you resolve this would be awesome as my mom is not liking using the SD card removal each time. This worked perfectly before the upgrade to 14.04.

Thanks!

rich painter (painterengr) wrote :

I would like to join in by reporting that my Canon PowerShot SX20IS will also not function on the USB for my Lenovo T530 running Ubuntu 14.04 LTS 64bit updated. It works fine in my windows vista and xp machines.

lsusb shows
Bus 003 Device 006: ID 04a9:31e4 Canon, Inc.

gtkam reports the proper model is detected but reports "cannot initialize it"

gnome3 automounts it on the desktop which when double clicked the contents are empty.

ls -l /run/user/xxxx/ in part shows:
d????????? ? ? ? ? ? gvfs/

regards
rich painter

Paolo Benvenuto (donpaolo) wrote :

this bug still affects me on 15.04 with a canon sx130is camera

Rolf Leggewie (r0lf) wrote :

utopic has seen the end of its life and is no longer receiving any updates. Marking the utopic task for this ticket as "Won't Fix".

Changed in gvfs (Ubuntu Utopic):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.